Subject: bug#63125: 30.0.50; [BUG] last argument of libxml-parse-html-region has no effect?

From: Ruijie Yu <[email-masked]>
Date: Fri, 28 Apr 2023 18:40:35 +0800

Ruijie Yu <[email-masked]> writes:

> Ruijie Yu <[email-masked]> writes:
>>>
>>> If you look at xml.c, you will see that we just call a libxml function
>>> passing it this URL.  So if anything isn't as expected, the answer is
>>> in libxml, not in Emacs.
>>
>> Thank you for pointing that out.  I will take a look at its source in a
>> day or two.  I am also upgrading it from 2.10.3-2 to 2.10.4-2, and will
>> see if that changes anything.
>
> No difference -- as expected.
>
>> If I end up deciding that it is a libxml2 bug, I'll file a bug there and
>> link to this bug.
>
> I have filed an issue [1] in libxml2.  We'll see what they say about it.
>
> FTR, [2] is the documentation of the libxml2's htmlReadMemory()
> function -- though it does not say much.
>
> [1]: https://gitlab.gnome.org/GNOME/libxml2/-/issues/525
> [2]: https://gnome.pages.gitlab.gnome.org/libxml2/devhelp/libxml2-HTMLparser.html#htmlReadMemory.

I just got a response from one of libxml2's maintainers.

It seems that the docstring for `libxml-parse-html-region' is wrong:
this argument has never served the purpose of resolving relative URLs.
It was only used for error messages.  So I suggest that we modify the
docstring of this function and `libxml-parse-xml-region' to reflect this
fact.

I also don't know if, based on this new information, you want to mark
this parameter obsolete.  I see no immediate need, though.

Should I send a patch for the documentation change, or will you do it?

-- 
Best,

RY

[Please note that this mail might go to spam due to some
misconfiguration in my mail server -- still investigating.]